Bug 605657

Summary: yum is unable to resolve dependency to installed java-1.5.0-sun from supplementary
Product: Red Hat Enterprise Linux 5 Reporter: Carsten Hoeger <choeger>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED NOTABUG QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: high Docs Contact:
Priority: low    
Version: 5.4   
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-18 10:42:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Carsten Hoeger 2010-06-18 09:51:43 EDT
[root@servera ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.4 (Tikanga)

yum-3.2.22-20.el5

All of a sudden, yum is not able to resolve the dependency of the sun java package. This worked since today. We, however, have had several customers reporting the same problem.

[root@servera ~]# yum upgrade
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Upgrade Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package NetworkManager.i386 1:0.7.0-10.el5 set to be updated
---> Package NetworkManager.x86_64 1:0.7.0-10.el5 set to be updated
---> Package NetworkManager-glib.i386 1:0.7.0-10.el5 set to be updated
---> Package NetworkManager-glib.x86_64 1:0.7.0-10.el5 set to be updated
---> Package NetworkManager-gnome.x86_64 1:0.7.0-10.el5 set to be updated
---> Package OpenIPMI.x86_64 0:2.0.16-7.el5 set to be updated
---> Package OpenIPMI-libs.x86_64 0:2.0.16-7.el5 set to be updated
---> Package acl.x86_64 0:2.2.39-6.el5 set to be updated
---> Package apr-util.x86_64 0:1.2.7-11.el5 set to be updated
---> Package at.x86_64 0:3.1.8-84.el5 set to be updated
---> Package audit.x86_64 0:1.7.17-3.el5 set to be updated
---> Package audit-libs.i386 0:1.7.17-3.el5 set to be updated
---> Package audit-libs.x86_64 0:1.7.17-3.el5 set to be updated
---> Package audit-libs-python.x86_64 0:1.7.17-3.el5 set to be updated
---> Package autofs.x86_64 1:5.0.1-0.rc2.143.el5 set to be updated
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package avahi.i386 0:0.6.16-7.el5 set to be updated
---> Package avahi.x86_64 0:0.6.16-7.el5 set to be updated
---> Package avahi-compat-libdns_sd.x86_64 0:0.6.16-7.el5 set to be updated
---> Package avahi-glib.i386 0:0.6.16-7.el5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-7.el5 set to be updated
---> Package binutils.x86_64 0:2.17.50.0.6-14.el5 set to be updated
---> Package brlapi.x86_64 0:0.4.1-4.el5 set to be updated
---> Package checkpolicy.x86_64 0:1.33.1-6.el5 set to be updated
---> Package chkconfig.x86_64 0:1.3.30.2-2.el5 set to be updated
---> Package cman.x86_64 0:2.0.115-34.el5_5.1 set to be updated
---> Package coolkey.i386 0:1.1.0-14.el5 set to be updated
---> Package coolkey.x86_64 0:1.1.0-14.el5 set to be updated
---> Package cpp.x86_64 0:4.1.2-48.el5 set to be updated
---> Package cpuspeed.x86_64 1:1.2.1-9.el5 set to be updated
---> Package crash.x86_64 0:4.1.2-4.el5 set to be updated
---> Package cups.x86_64 1:1.3.7-18.el5_5.4 set to be updated
--> Processing Dependency: poppler-utils for package: cups
---> Package cups-libs.i386 1:1.3.7-18.el5_5.4 set to be updated
---> Package cups-libs.x86_64 1:1.3.7-18.el5_5.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5 set to be updated
---> Package dbus.x86_64 0:1.1.2-14.el5 set to be updated
---> Package dbus-libs.i386 0:1.1.2-14.el5 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-14.el5 set to be updated
---> Package dbus-x11.x86_64 0:1.1.2-14.el5 set to be updated
---> Package device-mapper.i386 0:1.02.39-1.el5_5.2 set to be updated
---> Package device-mapper.x86_64 0:1.02.39-1.el5_5.2 set to be updated
---> Package device-mapper-event.x86_64 0:1.02.39-1.el5_5.2 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-34.el5_5.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-23.el5 set to be updated
---> Package dhcpv6-client.x86_64 0:1.0.10-18.el5 set to be updated
---> Package dmidecode.x86_64 1:2.10-3.el5 set to be updated
---> Package dmraid.x86_64 0:1.0.0.rc13-63.el5 set to be updated
---> Package dmraid-events.x86_64 0:1.0.0.rc13-63.el5 set to be updated
---> Package dosfstools.x86_64 0:2.11-9.el5 set to be updated
---> Package esc.x86_64 0:1.1.0-11.el5 set to be updated
---> Package ethtool.x86_64 0:6-4.el5 set to be updated
---> Package evince.x86_64 0:0.6.0-13.el5 set to be updated
---> Package filesystem.x86_64 0:2.4.0-3.el5 set to be updated
---> Package firefox.i386 0:3.0.19-1.el5_5 set to be updated
---> Package firefox.x86_64 0:3.0.19-1.el5_5 set to be updated
---> Package firstboot.x86_64 0:1.4.27.8-1.el5 set to be updated
---> Package firstboot-tui.x86_64 0:1.4.27.8-1.el5 set to be updated
---> Package gail.i386 0:1.9.2-3.el5 set to be updated
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gcc.x86_64 0:4.1.2-48.el5 set to be updated
---> Package gfs2-utils.x86_64 0:0.1.62-20.el5 set to be updated
---> Package glibc.i686 0:2.5-49.el5_5.2 set to be updated
---> Package glibc.x86_64 0:2.5-49.el5_5.2 set to be updated
---> Package glibc-common.x86_64 0:2.5-49.el5_5.2 set to be updated
---> Package glibc-devel.x86_64 0:2.5-49.el5_5.2 set to be updated
---> Package glibc-headers.x86_64 0:2.5-49.el5_5.2 set to be updated
---> Package glx-utils.x86_64 0:6.5.1-7.8.el5 set to be updated
---> Package gnome-vfs2.i386 0:2.16.2-6.el5_5.1 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-6.el5_5.1 set to be updated
---> Package gnome-vfs2-smb.x86_64 0:2.16.2-6.el5_5.1 set to be updated
---> Package hal.i386 0:0.5.8.1-59.el5 set to be updated
---> Package hal.x86_64 0:0.5.8.1-59.el5 set to be updated
---> Package hmaccalc.x86_64 0:0.9.6-3.el5 set to be updated
---> Package httpd.x86_64 0:2.2.3-43.el5 set to be updated
---> Package httpd-manual.x86_64 0:2.2.3-43.el5 set to be updated
---> Package hwdata.noarch 0:0.213.18-1.el5.1 set to be updated
---> Package iproute.x86_64 0:2.6.18-11.el5 set to be updated
---> Package iptstate.x86_64 0:1.4-2.el5 set to be updated
--> Processing Dependency: java-1.5.0-sun for package: open-xchange-server
---> Package java-1.5.0-sun-uninstall.x86_64 0:1.5.0.22-1jpp.3.el5 set to be updated
---> Package kernel.x86_64 0:2.6.18-194.3.1.el5 set to be installed
---> Package kernel-headers.x86_64 0:2.6.18-194.3.1.el5 set to be updated
---> Package kexec-tools.x86_64 0:1.102pre-96.el5_5.2 set to be updated
---> Package kpartx.x86_64 0:0.4.7-34.el5_5.1 set to be updated
---> Package krb5-devel.x86_64 0:1.6.1-36.el5_5.4 set to be updated
---> Package krb5-libs.i386 0:1.6.1-36.el5_5.4 set to be updated
---> Package krb5-libs.x86_64 0:1.6.1-36.el5_5.4 set to be updated
---> Package krb5-workstation.x86_64 0:1.6.1-36.el5_5.4 set to be updated
---> Package ksh.x86_64 0:20100202-1.el5 set to be updated
---> Package kudzu.x86_64 0:1.2.57.1.24-1 set to be updated
---> Package less.x86_64 0:436-2.el5 set to be updated
---> Package libXrandr.i386 0:1.1.1-3.3 set to be updated
---> Package libXrandr.x86_64 0:1.1.1-3.3 set to be updated
---> Package libXt.i386 0:1.0.2-3.2.el5 set to be updated
---> Package libXt.x86_64 0:1.0.2-3.2.el5 set to be updated
---> Package libacl.i386 0:2.2.39-6.el5 set to be updated
---> Package libacl.x86_64 0:2.2.39-6.el5 set to be updated
---> Package libaio.i386 0:0.3.106-5 set to be updated
---> Package libaio.x86_64 0:0.3.106-5 set to be updated
---> Package libevent.x86_64 0:1.4.13-1 set to be updated
---> Package libgcc.i386 0:4.1.2-48.el5 set to be updated
---> Package libgcc.x86_64 0:4.1.2-48.el5 set to be updated
---> Package libgcj.i386 0:4.1.2-48.el5 set to be updated
---> Package libgcj.x86_64 0:4.1.2-48.el5 set to be updated
---> Package libgnomecups.i386 0:0.2.2-9 set to be updated
---> Package libgnomecups.x86_64 0:0.2.2-9 set to be updated
---> Package libhugetlbfs.i386 0:1.3-7.el5 set to be updated
---> Package libhugetlbfs.x86_64 0:1.3-7.el5 set to be updated
---> Package libibcommon.x86_64 0:1.2.0-1.el5 set to be updated
---> Package libibcommon-devel.x86_64 0:1.2.0-1.el5 set to be updated
---> Package libibmad.x86_64 0:1.3.3-1.el5 set to be updated
---> Package libibmad-devel.x86_64 0:1.3.3-1.el5 set to be updated
---> Package libibumad.x86_64 0:1.3.3-1.el5 set to be updated
---> Package libibumad-devel.x86_64 0:1.3.3-1.el5 set to be updated
---> Package libpcap.x86_64 14:0.9.4-15.el5 set to be updated
---> Package libsepol.i386 0:1.15.2-3.el5 set to be updated
---> Package libsepol.x86_64 0:1.15.2-3.el5 set to be updated
---> Package libsepol-devel.x86_64 0:1.15.2-3.el5 set to be updated
---> Package libstdc++.i386 0:4.1.2-48.el5 set to be updated
---> Package libstdc++.x86_64 0:4.1.2-48.el5 set to be updated
---> Package linuxwacom.x86_64 0:0.7.8.3-8.el5 set to be updated
---> Package lm_sensors.i386 0:2.10.7-9.el5 set to be updated
---> Package lm_sensors.x86_64 0:2.10.7-9.el5 set to be updated
---> Package lm_sensors-devel.i386 0:2.10.7-9.el5 set to be updated
---> Package lm_sensors-devel.x86_64 0:2.10.7-9.el5 set to be updated
---> Package logwatch.noarch 0:7.3-8.el5 set to be updated
---> Package lvm2.x86_64 0:2.02.56-8.el5_5.4 set to be updated
---> Package man-pages.noarch 0:2.39-15.el5 set to be updated
---> Package mcelog.x86_64 1:0.9pre-1.29.el5 set to be updated
---> Package mdadm.x86_64 0:2.6.9-3.el5 set to be updated
---> Package mesa-libGL.i386 0:6.5.1-7.8.el5 set to be updated
---> Package mesa-libGL.x86_64 0:6.5.1-7.8.el5 set to be updated
---> Package mesa-libGLU.i386 0:6.5.1-7.8.el5 set to be updated
---> Package mesa-libGLU.x86_64 0:6.5.1-7.8.el5 set to be updated
---> Package metacity.i386 0:2.16.0-15.el5 set to be updated
---> Package metacity.x86_64 0:2.16.0-15.el5 set to be updated
---> Package microcode_ctl.x86_64 1:1.17-1.50.el5 set to be updated
---> Package mkinitrd.i386 0:5.1.19.6-61.el5_5.1 set to be updated
---> Package mkinitrd.x86_64 0:5.1.19.6-61.el5_5.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-43.el5 set to be updated
---> Package module-init-tools.x86_64 0:3.3-0.pre3.1.60.el5 set to be updated
---> Package mysql.x86_64 0:5.0.77-4.el5_5.3 set to be updated
---> Package mysql-server.x86_64 0:5.0.77-4.el5_5.3 set to be updated
---> Package nash.x86_64 0:5.1.19.6-61.el5_5.1 set to be updated
---> Package nautilus-open-terminal.x86_64 0:0.6-7.el5 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-9.el5_5.1 set to be updated
---> Package net-snmp-devel.i386 1:5.3.2.2-9.el5_5.1 set to be updated
---> Package net-snmp-devel.x86_64 1:5.3.2.2-9.el5_5.1 set to be updated
---> Package net-snmp-libs.i386 1:5.3.2.2-9.el5_5.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-9.el5_5.1 set to be updated
---> Package net-tools.x86_64 0:1.60-81.el5 set to be updated
---> Package newt.x86_64 0:0.52.2-15.el5 set to be updated
---> Package nfs-utils.x86_64 1:1.0.9-44.el5 set to be updated
---> Package nscd.x86_64 0:2.5-49.el5_5.2 set to be updated
---> Package nspluginwrapper.i386 0:1.3.0-9.el5 set to be updated
--> Processing Dependency: libidn.so.11 for package: nspluginwrapper
--> Processing Dependency: libcurl.so.3 for package: nspluginwrapper
---> Package nspluginwrapper.x86_64 0:1.3.0-9.el5 set to be updated
---> Package nss_db.i386 0:2.2-35.4.el5_5 set to be updated
---> Package nss_db.x86_64 0:2.2-35.4.el5_5 set to be updated
---> Package nss_ldap.i386 0:253-25.el5 set to be updated
---> Package nss_ldap.x86_64 0:253-25.el5 set to be updated
---> Package ntsysv.x86_64 0:1.3.30.2-2.el5 set to be updated
---> Package numactl.i386 0:0.9.8-11.el5 set to be updated
---> Package numactl.x86_64 0:0.9.8-11.el5 set to be updated
---> Package openais.x86_64 0:0.80.6-16.el5_5.2 set to be updated
---> Package openldap.i386 0:2.3.43-12.el5 set to be updated
---> Package openldap.x86_64 0:2.3.43-12.el5 set to be updated
---> Package openldap-clients.x86_64 0:2.3.43-12.el5 set to be updated
---> Package openldap-devel.i386 0:2.3.43-12.el5 set to be updated
---> Package openldap-devel.x86_64 0:2.3.43-12.el5 set to be updated
---> Package openssh.x86_64 0:4.3p2-41.el5 set to be updated
---> Package openssh-askpass.x86_64 0:4.3p2-41.el5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-41.el5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-41.el5 set to be updated
---> Package pam_krb5.i386 0:2.2.14-15 set to be updated
---> Package pam_krb5.x86_64 0:2.2.14-15 set to be updated
---> Package paps.x86_64 0:0.6.6-19.el5 set to be updated
---> Package parted.i386 0:1.8.1-27.el5 set to be updated
---> Package parted.x86_64 0:1.8.1-27.el5 set to be updated
---> Package pax.x86_64 0:3.4-2.el5 set to be updated
---> Package pciutils.x86_64 0:2.2.3-8.el5 set to be updated
---> Package pcsc-lite.x86_64 0:1.4.4-1.el5 set to be updated
---> Package pcsc-lite-libs.x86_64 0:1.4.4-1.el5 set to be updated
---> Package perl.x86_64 4:5.8.8-32.el5_5.1 set to be updated
---> Package perl-XML-LibXML.x86_64 0:1.58-6 set to be updated
---> Package perl-XML-SAX.noarch 0:0.14-8 set to be updated
---> Package pexpect.noarch 0:2.3-3.el5 set to be updated
---> Package php-cli.x86_64 0:5.1.6-27.el5 set to be updated
---> Package php-common.x86_64 0:5.1.6-27.el5 set to be updated
---> Package php-ldap.x86_64 0:5.1.6-27.el5 set to be updated
---> Package pirut.noarch 0:1.3.28-17.el5 set to be updated
---> Package policycoreutils.x86_64 0:1.33.12-14.8.el5 set to be updated
---> Package policycoreutils-gui.x86_64 0:1.33.12-14.8.el5 set to be updated
---> Package postgresql-libs.x86_64 0:8.1.21-1.el5_5.1 set to be updated
---> Package procps.x86_64 0:3.2.7-16.el5 set to be updated
---> Package readahead.x86_64 1:1.3-8.el5 set to be updated
---> Package redhat-artwork.x86_64 0:5.0.9-2.el5 set to be updated
---> Package redhat-release.x86_64 0:5Server-5.5.0.2 set to be updated
---> Package redhat-release-notes.x86_64 0:5Server-31 set to be updated
---> Package rhn-check.noarch 0:0.4.20-33.el5_5.2 set to be updated
---> Package rhn-client-tools.noarch 0:0.4.20-33.el5_5.2 set to be updated
--> Processing Dependency: python-dmidecode for package: rhn-client-tools
---> Package rhn-setup.noarch 0:0.4.20-33.el5_5.2 set to be updated
---> Package rhn-setup-gnome.noarch 0:0.4.20-33.el5_5.2 set to be updated
---> Package rhnlib.noarch 0:2.5.22-3.el5 set to be updated
---> Package rhnsd.x86_64 0:4.7.0-5.el5 set to be updated
---> Package rhpxl.x86_64 0:0.41.1-9.el5 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_5 set to be updated
--> Processing Dependency: libsmbclient.so.0()(64bit) for package: gnome-vfs2-smb
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_5 set to be updated
---> Package selinux-policy.noarch 0:2.4.6-279.el5 set to be updated
---> Package selinux-policy-devel.noarch 0:2.4.6-279.el5 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.4.6-279.el5 set to be updated
---> Package shadow-utils.x86_64 2:4.0.17-15.el5 set to be updated
---> Package sos.noarch 0:1.7-9.49.el5 set to be updated
---> Package squid.x86_64 7:2.6.STABLE21-6.el5 set to be updated
---> Package ssmtp.x86_64 0:2.61-14.el5 set to be updated
---> Package sudo.x86_64 0:1.7.2p1-7.el5_5 set to be updated
---> Package sysklogd.x86_64 0:1.4.1-46.el5 set to be updated
---> Package system-config-lvm.noarch 0:1.1.5-4.el5 set to be updated
---> Package system-config-securitylevel.x86_64 0:1.6.29.1-5.el5 set to be updated
---> Package system-config-securitylevel-tui.x86_64 0:1.6.29.1-5.el5 set to be updated
---> Package system-config-services.noarch 0:0.9.4-5.el5 set to be updated
---> Package tar.x86_64 2:1.15.1-30.el5 set to be updated
---> Package tcpdump.x86_64 14:3.9.4-15.el5 set to be updated
---> Package tcsh.x86_64 0:6.14-17.el5 set to be updated
---> Package tzdata.x86_64 0:2010i-1.el5 set to be updated
---> Package vconfig.x86_64 0:1.9-3 set to be updated
---> Package vino.x86_64 0:2.13.5-9.el5 set to be updated
---> Package vnc-server.x86_64 0:4.1.2-14.el5_5.2 set to be updated
---> Package wdaemon.x86_64 0:0.14-5 set to be updated
---> Package wpa_supplicant.x86_64 1:0.5.10-9.el5 set to be updated
---> Package xorg-x11-drivers.x86_64 0:7.1-4.2.el5 set to be updated
--> Processing Dependency: xorg-x11-drv-qxl for package: xorg-x11-drivers
---> Package xorg-x11-drv-ast.x86_64 0:0.89.9-1.el5 set to be updated
---> Package xorg-x11-drv-evdev.x86_64 1:1.0.0.5-5.el5 set to be updated
---> Package xorg-x11-drv-fbdev.x86_64 0:0.3.0-3 set to be updated
---> Package xorg-x11-drv-i810.x86_64 0:1.6.5-9.36.el5 set to be updated
---> Package xorg-x11-drv-mga.x86_64 0:1.4.10-7.el5 set to be updated
---> Package xorg-x11-drv-nv.x86_64 0:2.1.15-3.el5 set to be updated
---> Package xorg-x11-drv-vesa.x86_64 0:1.3.0-8.2.el5 set to be updated
---> Package xorg-x11-server-Xnest.x86_64 0:1.1.1-48.76.el5_5.1 set to be updated
---> Package xorg-x11-server-Xorg.x86_64 0:1.1.1-48.76.el5_5.1 set to be updated
---> Package xulrunner.i386 0:1.9.0.19-1.el5_5 set to be updated
---> Package xulrunner.x86_64 0:1.9.0.19-1.el5_5 set to be updated
---> Package yp-tools.x86_64 0:2.9-1.el5 set to be updated
---> Package yum.noarch 0:3.2.22-26.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-15.el5 set to be updated
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5 set to be updated
--> Processing Dependency: java-1.5.0-sun for package: open-xchange-server
---> Package libidn.i386 0:0.6.5-1.1 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_5 set to be updated
---> Package poppler-utils.x86_64 0:0.5.4-4.4.el5_4.11 set to be updated
---> Package python-dmidecode.x86_64 0:3.10.8-4.el5 set to be updated
---> Package xorg-x11-drv-qxl.x86_64 0:0.0.12-1.2.el5 set to be updated
--> Finished Dependency Resolution
open-xchange-server-6.16.1.0-aproxy_5_8.2.noarch from installed has depsolving problems
  --> Missing Dependency: java-1.5.0-sun is needed by package open-xchange-server-6.16.1.0-aproxy_5_8.2.noarch (installed)
--> Running transaction check
--> Processing Dependency: java-1.5.0-sun for package: open-xchange-server
---> Package kernel.x86_64 0:2.6.18-128.2.1.el5 set to be erased
--> Finished Dependency Resolution
open-xchange-server-6.16.1.0-aproxy_5_8.2.noarch from installed has depsolving problems
  --> Missing Dependency: java-1.5.0-sun is needed by package open-xchange-server-6.16.1.0-aproxy_5_8.2.noarch (installed)
Error: Missing Dependency: java-1.5.0-sun is needed by package open-xchange-server-6.16.1.0-aproxy_5_8.2.noarch (installed)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
Comment 1 Carsten Hoeger 2010-06-18 09:53:53 EDT
Sun Java is installed and provides the necessary package:

[root@servera ~]# rpm -q --whatprovides java-1.5.0-sun
java-1.5.0-sun-1.5.0.22-1jpp.1.el5

[root@servera ~]# rpm -qi java-1.5.0-sun
Name        : java-1.5.0-sun               Relocations: (not relocatable)
Version     : 1.5.0.22                          Vendor: Red Hat, Inc.
Release     : 1jpp.1.el5                    Build Date: Mon 09 Nov 2009 05:52:11 PM CET
Install Date: Thu 25 Mar 2010 02:29:25 PM CET      Build Host: x86-003.build.bos.redhat.com
Group       : Development/Languages         Source RPM: java-1.5.0-sun-1.5.0.22-1jpp.1.el5.src.rpm
Size        : 74197233                         License: Sun Binary Code License
Signature   : DSA/SHA1, Tue 10 Nov 2009 01:40:06 PM CET, Key ID 5326810137017186
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://java.sun.com/j2se/1.5.0
Summary     : Sun Java Runtime Environment
Description :
The Java Runtime Environment (JRE) contains the software and tools
that users need to run applets and applications written using the Java
programming language.

[root@servera ~]# rpm -V java-1.5.0-sun
[root@servera ~]#
Comment 2 seth vidal 2010-06-18 09:58:18 EDT
what is
Package java-1.5.0-sun-uninstall.x86_64 0:1.5.0.22-1jpp.3.el5


run this:

yum list obsoletes

I think you'll find your problem.
Comment 3 Carsten Hoeger 2010-06-18 10:06:10 EDT
this is the result:

[root@servera ~]# yum list obsoletes
Loaded plugins: rhnplugin, security
Obsoleting Packages
java-1.5.0-sun-uninstall.x86_64     1.5.0.22-1jpp.3.el5      rhel-x86_64-server-supplementary-5
    java-1.5.0-sun.x86_64           1.5.0.22-1jpp.1.el5      installed                         

However, i do not see how that solves my problem, sorry.
Where does the package java-1.5.0-sun-uninstall.x86_64 come from?
Comment 4 seth vidal 2010-06-18 10:18:51 EDT
yum list java-1.5.0-sun-uninstall.x86_64

but I think it comes from rhel-x86_64-server-supplementary-5

yes, it does

rpm -qp --obsoletes java-1.5.0-sun-uninstall-1.5.0.22-1jpp.3.el5.x86_64.rpm 
java-1.5.0-sun <= 0:1.5.0.22-1jpp.3.el5
java-1.5.0-sun-devel <= 0:1.5.0.22-1jpp.3.el5
java-1.5.0-sun-src <= 0:1.5.0.22-1jpp.3.el5
java-1.5.0-sun-demo <= 0:1.5.0.22-1jpp.3.el5
java-1.5.0-sun-plugin <= 0:1.5.0.22-1jpp.3.el5
java-1.5.0-sun-jdbc <= 0:1.5.0.22-1jpp.3.el5


you need to talk to whomever owns that pkg.
Comment 5 Carsten Hoeger 2010-06-18 10:34:47 EDT
I guess i know what the problem is.

Redhat has obsoleted sun java 1.5 on rhel5 because it reached
End of Service Life.

As soon as I deinstall that package, I can update again.

However, as our packages still depend on 1.5, yum will install it again.
That's a problem on our side.

Thank you for pointing me into the right direction.